%define upstream_name    Test-Script
%define upstream_version 1.26

%global __requires_exclude perl\\(blib\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Cross-platform basic tests for scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
The intent of this module is to provide a series of basic tests for scripts in
the bin directory of your Perl distribution.

Further, it aims to provide them with perfect platform-compatibility and in a
way that is as unobtrusive as possible.

That is, if the program works on a platform, then Test::Script should also work
on that platform.

In doing so, it is hoped that Test::Script can become a module that you can
safely make a dependency of your module, without risking your module not
working on some platform because of the dependency.

Where a clash exists between wanting more functionality and maintaining
platform safety, this module will err on the side of platform safety.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 1.260.0-2.mga8
+ Revision: 1537242
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 1.260.0-1.mga8
+ Revision: 1456178
- update to 1.26

* Wed Oct 03 2018 tv <tv> 1.250.0-1.mga7
+ Revision: 1316083
- update to 1.25

* Thu Sep 20 2018 umeabot <umeabot> 1.230.0-3.mga7
+ Revision: 1286808
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.230.0-2.mga7
+ Revision: 1166899
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.230.0-1.mga7
+ Revision: 1154301
- add missing BRs for testsuite
- new release

* Sun May 08 2016 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 1010796
- update to 1.12

* Fri Feb 19 2016 umeabot <umeabot> 1.100.0-2.mga6
+ Revision: 967815
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.100.0-1.mga6
+ Revision: 850334
- update to 1.10

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 746892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 686542
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-4.mga4
+ Revision: 515289
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-3.mga3
+ Revision: 373778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.70.0-2.mga1
+ Revision: 24402
- removing blib prereq

* Wed Jan 19 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 24384
- fix specs
- imported package perl-Test-Script


* Fri Nov 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.1
+ Revision: 470461
- update to 1.07

* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 444245
- update to 1.06

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 442699
- adding missing buildrequires:
- update to 1.05

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 405593
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.03-4mdv2009.0
+ Revision: 258579
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.03-3mdv2009.0
+ Revision: 246550
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 1.03-1mdv2008.1
+ Revision: 177289
- update to new version 1.03

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.0
+ Revision: 64422
- import perl-Test-Script


* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.0
- first mdv release
